package org.gcube.application.geoportal.service.engine.mongo;

import org.bson.Document;
import org.gcube.application.cms.caches.Engine;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;
import org.gcube.application.geoportal.common.model.profile.Profile;
import org.gcube.application.geoportal.common.model.rest.QueryRequest;

import java.util.Iterator;

public interface ProfileManager {

    public Profile create(Document toCreate);

    public Iterable<Profile> query(QueryRequest request);

    public void deleteById(String id,boolean force);

    public Profile update(String ID, Document toSet);

    public Profile getById(String id);
}
